Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class MemoryPath.MemoryStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.MemoryPath.MemoryStream

Enclosing class:
  MemoryPath

public class MemoryPath.MemoryStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`nullPath, path`

Method Summary
`boolean` | `canRead()` Returns true if this is a read stream.
`boolean` | `canWrite()` Returns true if this is a writable stream.
`int` | `getAvailable()` Returns the number of bytes available without blocking.
`int` | `getPosition()`
`int` | `read(byte[] buf, int bufOffset, int length)` Reads the next chunk from the stream.
`void` | `setPosition(int pos)`
`void` | `write(byte[] buf, int offset, int length, boolean isEnd)` Writes a buffer to the underlying stream.

Methods inherited from class com.caucho.vfs.StreamImpl
`clearWrite, close, flush, getAttribute, getAttributeNames, getFlushOnNewline, getNewline, getPath, getReadPosition, hasSkip, removeAttribute, setAttribute, setPath, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAvailable

    public int getAvailable()

  Description copied from class: `StreamImpl`
  Returns the number of bytes available without blocking. Depending on the stream, this may return less than the actual bytes, but will always return a number > 0 if there is any data available.
  Overrides:
    `getAvailable` in class `StreamImpl`

### canRead

    public boolean canRead()

  Description copied from class: `StreamImpl`
  Returns true if this is a read stream.
  Overrides:
    `canRead` in class `StreamImpl`

### read

    public int read(byte[] buf,
                    int bufOffset,
                    int length)
             throws java.io.IOException

  Description copied from class: `StreamImpl`
  Reads the next chunk from the stream.
  Overrides:
    `read` in class `StreamImpl`
  Following copied from class: `com.caucho.vfs.StreamImpl`
  Parameters:
    `buffer` - byte array receiving the data.
    `offset` - starting offset into the array.
    `length` - number of bytes to read.
  Returns:
    the number of bytes read or -1 on end of file.

### getPosition

    public int getPosition()

### setPosition

    public void setPosition(int pos)

### canWrite

    public boolean canWrite()

  Description copied from class: `StreamImpl`
  Returns true if this is a writable stream.
  Overrides:
    `canWrite` in class `StreamImpl`

### write

    public void write(byte[] buf,
                      int offset,
                      int length,
                      boolean isEnd)
               throws java.io.IOException

  Writes a buffer to the underlying stream.
  Overrides:
    `write` in class `StreamImpl`
  Parameters:
    `buffer` - the byte array to write.
    `offset` - the offset into the byte array.
    `length` - the number of bytes to write.
    `isEnd` - true when the write is flushing a close.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD